Get the availability for a meeting
curl --request GET \
--url https://api.hubapi.com/scheduler/2026-03/meetings/meeting-links/book/availability-page/{slug} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/scheduler/2026-03/meetings/meeting-links/book/availability-page/{slug}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/scheduler/2026-03/meetings/meeting-links/book/availability-page/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"allUsersBusyTimes": [
{
"busyTimes": [
{
"end": 123,
"start": 123
}
],
"isOffline": true,
"meetingsUser": {
"id": "<string>",
"isSalesStarter": true,
"userId": "<string>",
"userProfile": {
"email": "<string>",
"firstName": "<string>",
"fullName": "<string>",
"lastName": "<string>"
}
}
}
],
"linkAvailability": {
"hasMore": true,
"linkAvailabilityByDuration": {}
}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Meetings
Retrieve meeting availability
Get the next availability times for a meeting page.
GET
/
scheduler
/
2026-03
/
meetings
/
meeting-links
/
book
/
availability-page
/
{slug}
Get the availability for a meeting
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Last modified on March 31, 2026
Was this page helpful?
⌘I